Name:           report
Version:        0.10
Release:        5%{?dist}
Summary:        Incident reporting library

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://fedorahosted.org/report
Source0:        http://fedorahosted.org/released/report/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides: python-report = %{version}-%{release} 
Provides: report-devel = %{version}-%{release} 

BuildRequires: python-devel
BuildRequires: openssl-devel
BuildRequires: libxml2-devel
%if 0%{?rhel} && 0%{?rhel} <= 5
BuildRequires: curl-devel
%else
BuildRequires: libcurl-devel
%endif  

Requires: openssl report-config-scp report-config-localsave
Requires: libcurl
Requires: libxml2
Requires: report-config-default


%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

%description
A generic problem/bug/incident/error reporting library, that can be 
configured to deliver a report to a variety of different ticketing 
systems.

%package gtk
Summary:        GTK IO for reporting library
Group:          System Environment/Libraries

Requires: pygtk2
Requires: report = %{version}-%{release}

%description gtk
Provides GTK IO dialogs for the reporting library

%package newt
Summary:        Newt IO for reporting library
Group:          System Environment/Libraries

Requires: newt-python
Requires: report = %{version}-%{release}

%description newt
Provides Newt IO dialogs for the reporting library

%if 0%{?rhel}
%package plugin-RHEL
Summary:        Plugin template reporter to RHEL
Group:          System Environment/Libraries

Requires: report = %{version}-%{release}
Requires: rpm-python

%description plugin-RHEL
Plugin template reporter to RHEL

%else
%package plugin-bugzilla
Summary:        Plugin template reporter to bugzilla
Group:          System Environment/Libraries

Requires: report = %{version}-%{release}
Requires: rpm-python
Requires: python-bugzilla

%description plugin-bugzilla
Plugin template reporter to bugzilla
%endif

%package plugin-ftp
Summary:        Plugin template reporter to ftp
Group:          System Environment/Libraries

Requires: report = %{version}-%{release}

%description plugin-ftp
Plugin template reporter to ftp

%package plugin-scp
Summary:        Plugin template reporter to scp
Group:          System Environment/Libraries
Requires: report = %{version}-%{release}

%description plugin-scp
Plugin template reporter to scp

%package plugin-localsave
Summary:        Plugin template reporter to local directory
Group:          System Environment/Libraries
Requires: report = %{version}-%{release}

%description plugin-localsave
Plugin template reporter to localsave

%package config-ftp
Summary:        Config for reporter to ftp
Group:          System Environment/Libraries
Requires: report-plugin-ftp = %{version}-%{release}

%description config-ftp
Config for reporter to ftp

%package config-scp
Summary:        Config for reporter to ftp
Group:          System Environment/Libraries
Requires: report-plugin-scp = %{version}-%{release}

%description config-scp
Config for reporter to scp

%package config-localsave
Summary:        Config for reporter to ftp
Group:          System Environment/Libraries
Requires: report-plugin-localsave = %{version}-%{release}

%description config-localsave
Config for reporter to local directory

%if 0%{?rhel}
%package config-RHEL
Summary:        Config for reporter to RHEL
Group:          System Environment/Libraries
Requires: report-plugin-RHEL = %{version}-%{release}
Provides: report-config-default = %{version}-%{release}

%description config-RHEL
Config for reporter to RHEL

%else
%package config-bugzilla-redhat-com
Summary:        Config for reporter to bugzilla.redhat.com
Group:          System Environment/Libraries
Requires: report-plugin-bugzilla = %{version}-%{release}
Provides: report-config-default = %{version}-%{release}

%description config-bugzilla-redhat-com
Config for reporter to bugzilla.redhat.com
%endif

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%if 0%{?rhel}
rm $RPM_BUILD_ROOT%{_sysconfdir}/report.d/bugzilla.redhat.com.ini
rm -rf $RPM_BUILD_ROOT%{python_sitelib}/report/templates/bugzilla-template
%else
rm $RPM_BUILD_ROOT%{_sysconfdir}/report.d/RHEL.ini
rm -rf $RPM_BUILD_ROOT%{python_sitelib}/report/templates/RHEL-template
%endif

%if ! 0%{?py_strata_client}
rm -rf $RPM_BUILD_ROOT%{_bindir}/py_strata_client
rm -rf $RPM_BUILD_ROOT%{python_sitelib}/report/templates/strata-template
rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/report.d/gss-strata.ini
%endif



%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README LICENCE
%dir %{python_sitelib}/report
%{python_sitelib}/report/__init__.py*
%{python_sitelib}/report/accountmanager.py*
%dir %{python_sitelib}/report/io
%{python_sitelib}/report/io/__init__.py*
%{python_sitelib}/report/io/TextIO.py*
%dir %{python_sitelib}/report/templates
%{python_sitelib}/report/templates/__init__.py*
%dir %{_sysconfdir}/report.d
%{_bindir}/report
%{_mandir}/man1/report.1.gz
%{_mandir}/man5/report.conf.5.gz
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/report.conf

%{_includedir}/strata_client.h
%{_libdir}/libstrata_client.a
%{_libdir}/libstrata_client.la
%{_libdir}/libstrata_client.so
%{_libdir}/libstrata_client.so.0
%{_libdir}/libstrata_client.so.0.0.0

%if 0%{?py_strata_client}
%{_bindir}/py_strata_client
%{python_sitelib}/report/templates/strata-template
%config(noreplace) %{_sysconfdir}/report.d/gss-strata.ini
%endif

%files gtk
%defattr(-,root,root,-)
%{python_sitelib}/report/io/GTKIO.py*

%files newt
%defattr(-,root,root,-)
%{python_sitelib}/report/io/NewtIO.py*

%files plugin-ftp
%defattr(-,root,root,-)
%{python_sitelib}/report/templates/ftp-template

%files plugin-scp
%defattr(-,root,root,-)
%{python_sitelib}/report/templates/scp-template

%files plugin-localsave
%defattr(-,root,root,-)
%{python_sitelib}/report/templates/localsave-template

%if 0%{?rhel}
%files plugin-RHEL
%defattr(-,root,root,-)
%{python_sitelib}/report/templates/RHEL-template

%else
%files plugin-bugzilla
%defattr(-,root,root,-)
%{python_sitelib}/report/templates/bugzilla-template
%endif


%files config-ftp
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/report.d/dropbox.redhat.com.ini

%files config-scp
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/report.d/scp.ini

%files config-localsave
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/report.d/localsave.ini

%if 0%{?rhel}
%files config-RHEL
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/report.d/RHEL.ini

%else
%files config-bugzilla-redhat-com
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/report.d/bugzilla.redhat.com.ini
%endif


%changelog
* Mon Apr 5 2010 Adam Stokes <ajs@redhat.com> 0.10-5
- Resolves: bz579045

* Tue Mar 30 2010 Adam Stokes <ajs@redhat.com> 0.10-2
- Update bz filer to submit correct product/version

* Thu Mar 25 2010 Gavin Romig-Koch <gavin@redhat.com> 0.10-1
- Resolves: rhbz#576927
- Resolves: rhbz#576926
- Resolves: rhbz#576997
- Resolves: rhbz#576995
- simplify/correct interdependancies among report's sub-packages
- don't install the strata report plugin (but leave the client library)

* Tue Mar 23 2010 Gavin Romig-Koch <gavin@redhat.com> 0.9-1
- Resolves: rhbz#562655
- Update to new version in prep for release

* Fri Mar 19 2010 Adam Stokes <ajs@redhat.com> 0.8-5
- report.conf manpage
- report manpage
- do not traceback on empty login
- ask for existing strata case
- setting of config options overrides previous parameter
  if defined.

* Tue Mar 16 2010 Gavin Romig-Koch <gavin@redhat.com> 0.8-4
- add Strata client
- add serialize to report/signature file and read from report/signature file

* Wed Mar 11 2010 Adam Stokes <ajs@redhat.com> 0.8-3
- wrapper function to print to syslog and display io
- build plugins/configs based on distro
- makefile targets for el5.x86/x86_64 el6.x86/x86_64
- copyright addition to bin
- updated createfilesignature to accept binary bool

* Tue Mar 02 2010 Adam Stokes <ajs@redhat.com> 0.8-2
- move all alternatives into templates
- templates accepts overrides from cmdline
- new template ftp

* Thu Feb 11 2010 Gavin Romig-Koch <gavin@redhat.com> 0.8-1
- upgrade to 0.8
- add examples/IOtest.py
- add report/io/NewtIO
- have all GTK dialogs open in the center of the screen
- consistantly return True/False/None from io.functions and report
- add Provides: report-config-default
- minor improvements to makefile
- replace autogen.sh with a better makefiles system
- improved error message when scp plugin fails

* Thu Jan 28 2010 Gavin Romig-Koch <gavin@redhat.com> 0.7-1
- upgrade to 0.7
- correct the Requires: for config-RHEL
- improve localcopy plugin

* Mon Jan  4 2010 Gavin Romig-Koch <gavin@redhat.com> 0.6-1
- Add suffix to files in '/etc/report.d/'
- Create RHEL-template which doesn't depend on a separate python-bugzilla
- Correct bugs in report::report template loading which caused the same
   template to be loaded multiple times, and the wrong templates to be used
- Correct a open file leak
- Merge the fastback command into report
- Rename fastback to report-sendfile
- Correct button response bugs in GTKIO

* Thu Dec 17 2009 Gavin Romig-Koch <gavin@redhat.com> 0.5-1
- More cleanups/corrections from Fedora review:
  - added provides for python-report
  - reorg'd sub-package specfile sections to be more std
  - correct sub-package use of Build* and Requires:
  - include LICENCE text in both dist tarball and rpms.
  - other minor cleanups

* Thu Dec 10 2009 Gavin Romig-Koch <gavin@redhat.com> 0.5-1
- convert alternatives/redhat_bugzilla to templates/bugzilla-template

* Tue Dec 08 2009 Gavin Romig-Koch <gavin@redhat.com> 0.4-2
- Cleanups/Corrections from Fedora review:
  - Added GPL2 Licencing file and headers
  - removed unnecessary catcut plugin
  - correct Source0: and Group: headers
  - other misc. spec file problems

* Tue Dec 01 2009 Gavin Romig-Koch <gavin@redhat.com> 0.4-1
- Split out the GTK IO into its own rpm
- Split out the bugzilla and catcut plugins into their own rpms

* Mon Nov 23 2009 Gavin Romig-Koch <gavin@redhat.com> 0.3-1
- Convert to using Autotools

* Wed Nov 18 2009 Gavin Romig-Koch <gavin@redhat.com> 0.2-1
- significant changes

* Wed Oct 28 2009 Gavin Romig-Koch <gavin@redhat.com> 0.1-1
- initial version

